Package org.eclipse.wst.xsl.core.internal.validation.eclipse

## org.eclipse.wst.xsl.core.internal.validation.eclipse
Class XSLValidationReport

    public class XSLValidationReport
    extends java.lang.Object

## Constructor Summary

`XSLValidationReport(java.lang.String uri)`

## Method Summary

`public java.lang.String` | `getFileURI()`
`public java.util.HashMap` | `getNestedMessages()`
`public ValidationMessage[]` | `getValidationMessages()`
`public boolean` | `isValid()`

## Constructor Detail

## XSLValidationReport

`public XSLValidationReport(java.lang.String uri)`

## Methods Detail

## getFileURI

`public java.lang.String getFileURI()`

### Returns

`java.lang.String`

## getNestedMessages

`public java.util.HashMap getNestedMessages()`

### Returns

`java.util.HashMap`

## getValidationMessages

`public ValidationMessage[] getValidationMessages()`

### Returns

`ValidationMessage[]`

## isValid

`public boolean isValid()`

### Returns

`boolean`